{"openapi":"3.1.0","info":{"title":"The Goteo v4 API","description":"# Introduction\nGoteo v4 API: Platoniq's instance.\n\n[Github](https:\/\/github.com\/Platoniq\/goteo-v4-api)\n\nThe v4 API is a multi-capable web API based on the [API Platform](https:\/\/api-platform.com\/) framework, built to support the future generation of the [Goteo](https:\/\/goteo.org) crowdfunding platform, aiming to be it's new underlying engine.\n\nv4 exposes a REST API with predictable and resource-oriented URLs, accepts request bodies (payloads) encoded in multiple open standard formats such as JSON, including [JSON-LD](https:\/\/json-ld.org\/) and [Hydra](https:\/\/www.hydra-cg.com\/), returns responses encoded in the same formats, and uses standard HTTP verbs and status codes.\n\nThis API is documented in the OpenApi initiative [Specification v3.1.0](https:\/\/spec.openapis.org\/oas\/v3.1.0), which allows v4 to be easily understood by API development suites, documentation generators and SDK generators for the convenience of developers and API users. Most of the spec is generated automatically as changes are introduced, but some additional content such as this introduction and other sections might not be updated as regularly.\n\n<span class=\"hl-yellow\">\nThis API is still in early development and is not set to have backward compatibility with the Goteo API v1 (https:\/\/api.goteo.org\/v1\/). Major changes are to be expected.\n<\/span>\n\n# Authentication\n\nThe v4 API uses [OAuth 2.0](https:\/\/oauth.net\/2\/) to authenticate requests from consumer applications.\n\nAuth clients are issued on a case-by-case basis. You may reach out to us in order to obtain client credentials to initiate auth flows.\n\nThe following paths are available for authentication:\n- **`POST \/oauth\/token`** to obtain Access Tokens\n- **`GET \/oauth\/authorize`** to initiate *Authorization Code Grant* flows\n\nPlease notice these paths do not have the `\/v4` path prefix.\n\n# Localization\n\nThe v4 API accepts localization of content. Resources such as Projects can have owner-submitted data (title, description, etc) in different languages, the extent of which is subject to the owner. Resources with localized content versions will expose a `locales` property listing the available localizations.\n\nRetrieval of content in different locales is performed via standard HTTP [content negotiation](https:\/\/developer.mozilla.org\/en-US\/docs\/Web\/HTTP\/Content_negotiation). When the request supplies an `Accept-Language` header, the API will retrieve localized versions of the content where available, falling back to the default locale of the API instance, and finally to the first available localization of the content regardless of the request preferences or the API defaults if it cannot find suitable localizations.\n\nSubmission of localized content is performed over standard REST content submission with the addition of a `Content-Language` header to a POST, PUT or PATCH request. Only the first tag will be used to determine the submitted localization. When a localizable resource is created with a non-localized request (a request without a `Content-Language` header), the default locale of the API instance is used.\n\nRemoval of localized content is performed over standard REST content deletion with the addition of a `Content-Language` header to a DELETE request. A delete request for localized content will act partially and remove only the requested localizations, not the entire resource. To remove the resource you can send a non-localized request. Unlike on submission v4 will process all language tags included in the header and remove every matching localization.\n\nLocalizations are assumed to be one per language globally. Language tags will be parsed to match to an [ISO 639](https:\/\/en.wikipedia.org\/wiki\/List_of_ISO_639_language_codes) two-letter languade code, e.g: a value of \"en_US, en_GB\" will be converted to \"en\", ignoring the \"US\" and \"GB\" subtags.\n","contact":{"name":"Platoniq Foundation","url":"https:\/\/platoniq.net\/en\/contact\/","email":"info@platoniq.net"},"license":{"name":"AGPL","url":"https:\/\/www.gnu.org\/licenses\/agpl-3.0.txt"},"version":"4.0.0"},"servers":[{"url":"\/","description":""}],"paths":{"\/v4\/accountings":{"get":{"operationId":"api_accountings_get_collection","tags":["Accounting"],"responses":{"200":{"description":"Accounting collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Accounting"}}},"application\/ld+json":{"schema":{"type":"object","properties":{"member":{"type":"array","items":{"$ref":"#\/components\/schemas\/Accounting.jsonld"}},"totalItems":{"type":"integer","minimum":0},"view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"first":{"type":"string","format":"iri-reference"},"last":{"type":"string","format":"iri-reference"},"previous":{"type":"string","format":"iri-reference"},"next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","first":"string","last":"string","previous":"string","next":"string"}},"search":{"type":"object","properties":{"@type":{"type":"string"},"template":{"type":"string"},"variableRepresentation":{"type":"string"},"mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["member"]}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Accounting"}}}}}},"summary":"Retrieves the collection of Accounting resources.","description":"Retrieves the collection of Accounting resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":100},"style":"form","explode":false,"allowReserved":false}],"deprecated":false}},"\/v4\/accountings\/{id}":{"get":{"operationId":"api_accountings_id_get","tags":["Accounting"],"responses":{"200":{"description":"Accounting resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Accounting"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Accounting.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Accounting"}}}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a Accounting resource.","description":"Retrieves one Accounting resource.","parameters":[{"name":"id","in":"path","description":"Accounting identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false}},"\/v4\/accounting_balance_points":{"get":{"operationId":"api_accounting_balance_points_get_collection","tags":["AccountingBalancePoint"],"responses":{"200":{"description":"AccountingBalancePoint collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AccountingBalancePoint"}}},"application\/ld+json":{"schema":{"type":"object","properties":{"member":{"type":"array","items":{"$ref":"#\/components\/schemas\/AccountingBalancePoint.jsonld"}},"totalItems":{"type":"integer","minimum":0},"view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"first":{"type":"string","format":"iri-reference"},"last":{"type":"string","format":"iri-reference"},"previous":{"type":"string","format":"iri-reference"},"next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","first":"string","last":"string","previous":"string","next":"string"}},"search":{"type":"object","properties":{"@type":{"type":"string"},"template":{"type":"string"},"variableRepresentation":{"type":"string"},"mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["member"]}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AccountingBalancePoint"}}}}}},"summary":"Retrieves the collection of AccountingBalancePoint resources.","description":"Retrieves the collection of AccountingBalancePoint resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":100},"style":"form","explode":false,"allowReserved":false},{"name":"accounting","in":"query","description":"AccountingBalancePoint accounting","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string","format":"iri-reference"},"style":"form","explode":false,"allowReserved":false},{"name":"start","in":"query","description":"AccountingBalancePoint start","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string","format":"date-time"},"style":"form","explode":false,"allowReserved":false},{"name":"interval","in":"query","description":"AccountingBalancePoint interval","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string","default":"24h"},"style":"form","explode":false,"allowReserved":false},{"name":"end","in":"query","description":"AccountingBalancePoint end","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string","format":"date-time","default":"now"},"style":"form","explode":false,"allowReserved":false},{"name":"aggregate","in":"query","description":"If true, the balance points are cumulative over time.","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"boolean","default":false},"style":"form","explode":false,"allowReserved":false}],"deprecated":false}},"\/v4\/accounting_transactions":{"get":{"operationId":"api_accounting_transactions_get_collection","tags":["AccountingTransaction"],"responses":{"200":{"description":"AccountingTransaction collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AccountingTransaction"}}},"application\/ld+json":{"schema":{"type":"object","properties":{"member":{"type":"array","items":{"$ref":"#\/components\/schemas\/AccountingTransaction.jsonld"}},"totalItems":{"type":"integer","minimum":0},"view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"first":{"type":"string","format":"iri-reference"},"last":{"type":"string","format":"iri-reference"},"previous":{"type":"string","format":"iri-reference"},"next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","first":"string","last":"string","previous":"string","next":"string"}},"search":{"type":"object","properties":{"@type":{"type":"string"},"template":{"type":"string"},"variableRepresentation":{"type":"string"},"mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["member"]}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AccountingTransaction"}}}}}},"summary":"Retrieves the collection of AccountingTransaction resources.","description":"Retrieves the collection of AccountingTransaction resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":100},"style":"form","explode":false,"allowReserved":false},{"name":"origin","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"origin[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"target","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"target[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false}],"deprecated":false}},"\/v4\/accounting_transactions\/{id}":{"get":{"operationId":"api_accounting_transactions_id_get","tags":["AccountingTransaction"],"responses":{"200":{"description":"AccountingTransaction resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AccountingTransaction"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/AccountingTransaction.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/AccountingTransaction"}}}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a AccountingTransaction resource.","description":"Retrieves one AccountingTransaction resource.","parameters":[{"name":"id","in":"path","description":"AccountingTransaction identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false}},"\/v4\/categories":{"get":{"operationId":"api_categories_get_collection","tags":["Category"],"responses":{"200":{"description":"Category collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Category"}}},"application\/ld+json":{"schema":{"type":"object","properties":{"member":{"type":"array","items":{"$ref":"#\/components\/schemas\/Category.jsonld"}},"totalItems":{"type":"integer","minimum":0},"view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"first":{"type":"string","format":"iri-reference"},"last":{"type":"string","format":"iri-reference"},"previous":{"type":"string","format":"iri-reference"},"next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","first":"string","last":"string","previous":"string","next":"string"}},"search":{"type":"object","properties":{"@type":{"type":"string"},"template":{"type":"string"},"variableRepresentation":{"type":"string"},"mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["member"]}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Category"}}}}}},"summary":"Retrieves the collection of Category resources.","description":"Retrieves the collection of Category resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":100},"style":"form","explode":false,"allowReserved":false},{"name":"slug","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"slug[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"name","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"post":{"operationId":"api_categories_post","tags":["Category"],"responses":{"201":{"description":"Category resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Category"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Category.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Category"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation.jsonld-jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}}},"links":{}},"403":{"description":"Forbidden","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Creates a Category resource.","description":"Creates a Category resource.","parameters":[],"requestBody":{"description":"The new Category resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Category"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Category.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Category"}}},"required":true},"deprecated":false}},"\/v4\/categories\/{idOrSlug}":{"get":{"operationId":"api_categories_idOrSlug_get","tags":["Category"],"responses":{"200":{"description":"Category resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Category"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Category.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Category"}}}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a Category resource.","description":"Retrieves one Category resource.","parameters":[{"name":"idOrSlug","in":"path","description":"Category identifier or slug","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false}},"\/v4\/categories\/{id}":{"delete":{"operationId":"api_categories_id_delete","tags":["Category"],"responses":{"204":{"description":"Category resource deleted"},"403":{"description":"Forbidden","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Removes the Category resource.","description":"Removes the Category resource.","parameters":[{"name":"id","in":"path","description":"Category identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"patch":{"operationId":"api_categories_id_patch","tags":["Category"],"responses":{"200":{"description":"Category resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Category"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Category.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Category"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation.jsonld-jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}}},"links":{}},"403":{"description":"Forbidden","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Updates the Category resource.","description":"Updates the Category resource.","parameters":[{"name":"id","in":"path","description":"Category identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated Category resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/Category"}}},"required":true},"deprecated":false}},"\/v4\/gateways":{"get":{"operationId":"api_gateways_get_collection","tags":["Gateway"],"responses":{"200":{"description":"Gateway collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Gateway"}}},"application\/ld+json":{"schema":{"type":"object","properties":{"member":{"type":"array","items":{"$ref":"#\/components\/schemas\/Gateway.jsonld"}},"totalItems":{"type":"integer","minimum":0},"view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"first":{"type":"string","format":"iri-reference"},"last":{"type":"string","format":"iri-reference"},"previous":{"type":"string","format":"iri-reference"},"next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","first":"string","last":"string","previous":"string","next":"string"}},"search":{"type":"object","properties":{"@type":{"type":"string"},"template":{"type":"string"},"variableRepresentation":{"type":"string"},"mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["member"]}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Gateway"}}}}}},"summary":"Retrieves the collection of Gateway resources.","description":"Retrieves the collection of Gateway resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":100},"style":"form","explode":false,"allowReserved":false}],"deprecated":false}},"\/v4\/gateways\/{id}":{"get":{"operationId":"api_gateways_id_get","tags":["Gateway"],"responses":{"200":{"description":"Gateway resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Gateway"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Gateway.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Gateway"}}}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a Gateway resource.","description":"Retrieves one Gateway resource.","parameters":[{"name":"id","in":"path","description":"Gateway identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false}},"\/v4\/gateway_charges":{"get":{"operationId":"api_gateway_charges_get_collection","tags":["GatewayCharge"],"responses":{"200":{"description":"GatewayCharge collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/GatewayCharge"}}},"application\/ld+json":{"schema":{"type":"object","properties":{"member":{"type":"array","items":{"$ref":"#\/components\/schemas\/GatewayCharge.jsonld"}},"totalItems":{"type":"integer","minimum":0},"view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"first":{"type":"string","format":"iri-reference"},"last":{"type":"string","format":"iri-reference"},"previous":{"type":"string","format":"iri-reference"},"next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","first":"string","last":"string","previous":"string","next":"string"}},"search":{"type":"object","properties":{"@type":{"type":"string"},"template":{"type":"string"},"variableRepresentation":{"type":"string"},"mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["member"]}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/GatewayCharge"}}}}}},"summary":"Retrieves the collection of GatewayCharge resources.","description":"Retrieves the collection of GatewayCharge resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":100},"style":"form","explode":false,"allowReserved":false},{"name":"checkout.gateway","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"checkout.gateway[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"checkout.origin","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"checkout.origin[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"checkout.trackings.value","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"checkout.trackings.value[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"type","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"type[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"title","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"title[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"target","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"target[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"money.currency","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"money.currency[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"status","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"status[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"money.amount[between]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"money.amount[gt]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"money.amount[gte]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"money.amount[lt]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"money.amount[lte]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"order[money.amount]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string","default":"asc","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false},{"name":"order[status]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string","default":"asc","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false},{"name":"order[dateCreated]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string","default":"desc","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false},{"name":"order[dateUpdated]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string","default":"desc","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false},{"name":"dateCreated[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"dateCreated[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"dateCreated[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"dateCreated[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"dateUpdated[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"dateUpdated[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"dateUpdated[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"dateUpdated[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false}],"deprecated":false}},"\/v4\/gateway_charges\/totals":{"get":{"operationId":"api_gateway_chargestotals_get_collection","tags":["GatewayCharge"],"responses":{"200":{"description":"Charges totals","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/GatewayCharge.ChargesTotalsDto"}}}}},"summary":"Get charges totals","description":"Returns a single ChargesTotals object with totalized metrics for the charges matching the same filters as the charges collection.","parameters":[{"name":"checkout.gateway","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"checkout.gateway[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"checkout.origin","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"checkout.origin[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"checkout.trackings.value","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"checkout.trackings.value[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"type","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"type[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"title","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"title[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"target","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"target[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"money.currency","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"money.currency[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"status","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"status[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"money.amount[between]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"money.amount[gt]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"money.amount[gte]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"money.amount[lt]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"money.amount[lte]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"order[money.amount]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string","default":"asc","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false},{"name":"order[status]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string","default":"asc","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false},{"name":"order[dateCreated]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string","default":"desc","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false},{"name":"order[dateUpdated]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string","default":"desc","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false},{"name":"dateCreated[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"dateCreated[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"dateCreated[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"dateCreated[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"dateUpdated[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"dateUpdated[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"dateUpdated[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"dateUpdated[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false}],"deprecated":false}},"\/v4\/gateway_charges\/{id}":{"get":{"operationId":"api_gateway_charges_id_get","tags":["GatewayCharge"],"responses":{"200":{"description":"GatewayCharge resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/GatewayCharge"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/GatewayCharge.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/GatewayCharge"}}}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a GatewayCharge resource.","description":"Retrieves one GatewayCharge resource.","parameters":[{"name":"id","in":"path","description":"GatewayCharge identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"patch":{"operationId":"api_gateway_charges_id_patch","tags":["GatewayCharge"],"responses":{"200":{"description":"GatewayCharge resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/GatewayCharge"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/GatewayCharge.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/GatewayCharge"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation.jsonld-jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}}},"links":{}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Updates the GatewayCharge resource.","description":"Updates the GatewayCharge resource.","parameters":[{"name":"id","in":"path","description":"GatewayCharge identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated GatewayCharge resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/GatewayCharge.ChargeUpdationDto"}}},"required":true},"deprecated":false}},"\/v4\/gateway_checkouts":{"get":{"operationId":"api_gateway_checkouts_get_collection","tags":["GatewayCheckout"],"responses":{"200":{"description":"GatewayCheckout collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/GatewayCheckout"}}},"application\/ld+json":{"schema":{"type":"object","properties":{"member":{"type":"array","items":{"$ref":"#\/components\/schemas\/GatewayCheckout.jsonld"}},"totalItems":{"type":"integer","minimum":0},"view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"first":{"type":"string","format":"iri-reference"},"last":{"type":"string","format":"iri-reference"},"previous":{"type":"string","format":"iri-reference"},"next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","first":"string","last":"string","previous":"string","next":"string"}},"search":{"type":"object","properties":{"@type":{"type":"string"},"template":{"type":"string"},"variableRepresentation":{"type":"string"},"mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["member"]}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/GatewayCheckout"}}}}}},"summary":"Retrieves the collection of GatewayCheckout resources.","description":"Retrieves the collection of GatewayCheckout resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":100},"style":"form","explode":false,"allowReserved":false},{"name":"gateway","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"gateway[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"origin","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"origin[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"status","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"status[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"trackings.value","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"trackings.value[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false}],"deprecated":false},"post":{"operationId":"api_gateway_checkouts_post","tags":["GatewayCheckout"],"responses":{"201":{"description":"GatewayCheckout resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/GatewayCheckout"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/GatewayCheckout.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/GatewayCheckout"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation.jsonld-jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}}},"links":{}},"403":{"description":"Forbidden","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Creates a GatewayCheckout resource.","description":"Creates a GatewayCheckout resource.","parameters":[],"requestBody":{"description":"The new GatewayCheckout resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/GatewayCheckout.CheckoutCreationDto"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/GatewayCheckout.CheckoutCreationDto.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/GatewayCheckout.CheckoutCreationDto"}}},"required":true},"deprecated":false}},"\/v4\/gateway_checkouts\/{id}":{"get":{"operationId":"api_gateway_checkouts_id_get","tags":["GatewayCheckout"],"responses":{"200":{"description":"GatewayCheckout resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/GatewayCheckout"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/GatewayCheckout.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/GatewayCheckout"}}}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a GatewayCheckout resource.","description":"Retrieves one GatewayCheckout resource.","parameters":[{"name":"id","in":"path","description":"GatewayCheckout identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"patch":{"operationId":"api_gateway_checkouts_id_patch","tags":["GatewayCheckout"],"responses":{"200":{"description":"GatewayCheckout resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/GatewayCheckout"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/GatewayCheckout.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/GatewayCheckout"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation.jsonld-jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}}},"links":{}},"403":{"description":"Forbidden","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Updates the GatewayCheckout resource.","description":"Updates the GatewayCheckout resource.","parameters":[{"name":"id","in":"path","description":"GatewayCheckout identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated GatewayCheckout resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/GatewayCheckout.CheckoutUpdationDto"}}},"required":true},"deprecated":false}},"\/v4\/match_calls":{"get":{"operationId":"api_match_calls_get_collection","tags":["MatchCall"],"responses":{"200":{"description":"MatchCall collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/MatchCall"}}},"application\/ld+json":{"schema":{"type":"object","properties":{"member":{"type":"array","items":{"$ref":"#\/components\/schemas\/MatchCall.jsonld"}},"totalItems":{"type":"integer","minimum":0},"view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"first":{"type":"string","format":"iri-reference"},"last":{"type":"string","format":"iri-reference"},"previous":{"type":"string","format":"iri-reference"},"next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","first":"string","last":"string","previous":"string","next":"string"}},"search":{"type":"object","properties":{"@type":{"type":"string"},"template":{"type":"string"},"variableRepresentation":{"type":"string"},"mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["member"]}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/MatchCall"}}}}}},"summary":"Retrieves the collection of MatchCall resources.","description":"Retrieves the collection of MatchCall resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":100},"style":"form","explode":false,"allowReserved":false},{"name":"accounting","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"accounting[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"title","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"description","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"territory.country","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"territory.country[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"territory.subLvl1","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"territory.subLvl1[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"territory.subLvl2","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"territory.subLvl2[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"status","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"status[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false}],"deprecated":false},"post":{"operationId":"api_match_calls_post","tags":["MatchCall"],"responses":{"201":{"description":"MatchCall resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MatchCall"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/MatchCall.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/MatchCall"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation.jsonld-jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}}},"links":{}}},"summary":"Creates a MatchCall resource.","description":"Creates a MatchCall resource.","parameters":[],"requestBody":{"description":"The new MatchCall resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MatchCall"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/MatchCall.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/MatchCall"}}},"required":true},"deprecated":false}},"\/v4\/match_calls\/{id}":{"get":{"operationId":"api_match_calls_id_get","tags":["MatchCall"],"responses":{"200":{"description":"MatchCall resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MatchCall"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/MatchCall.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/MatchCall"}}}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a MatchCall resource.","description":"Retrieves one MatchCall resource.","parameters":[{"name":"id","in":"path","description":"MatchCall identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"delete":{"operationId":"api_match_calls_id_delete","tags":["MatchCall"],"responses":{"204":{"description":"MatchCall resource deleted"},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Removes the MatchCall resource.","description":"Removes the MatchCall resource.","parameters":[{"name":"id","in":"path","description":"MatchCall identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"patch":{"operationId":"api_match_calls_id_patch","tags":["MatchCall"],"responses":{"200":{"description":"MatchCall resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MatchCall"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/MatchCall.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/MatchCall"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation.jsonld-jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}}},"links":{}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Updates the MatchCall resource.","description":"Updates the MatchCall resource.","parameters":[{"name":"id","in":"path","description":"MatchCall identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated MatchCall resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/MatchCall"}}},"required":true},"deprecated":false}},"\/v4\/match_call_submissions":{"get":{"operationId":"api_match_call_submissions_get_collection","tags":["MatchCallSubmission"],"responses":{"200":{"description":"MatchCallSubmission collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/MatchCallSubmission"}}},"application\/ld+json":{"schema":{"type":"object","properties":{"member":{"type":"array","items":{"$ref":"#\/components\/schemas\/MatchCallSubmission.jsonld"}},"totalItems":{"type":"integer","minimum":0},"view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"first":{"type":"string","format":"iri-reference"},"last":{"type":"string","format":"iri-reference"},"previous":{"type":"string","format":"iri-reference"},"next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","first":"string","last":"string","previous":"string","next":"string"}},"search":{"type":"object","properties":{"@type":{"type":"string"},"template":{"type":"string"},"variableRepresentation":{"type":"string"},"mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["member"]}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/MatchCallSubmission"}}}}}},"summary":"Retrieves the collection of MatchCallSubmission resources.","description":"Retrieves the collection of MatchCallSubmission resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":100},"style":"form","explode":false,"allowReserved":false},{"name":"call","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"call[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"project","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"project[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"status","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"status[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false}],"deprecated":false},"post":{"operationId":"api_match_call_submissions_post","tags":["MatchCallSubmission"],"responses":{"201":{"description":"MatchCallSubmission resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MatchCallSubmission"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/MatchCallSubmission.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/MatchCallSubmission"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation.jsonld-jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}}},"links":{}}},"summary":"Creates a MatchCallSubmission resource.","description":"Creates a MatchCallSubmission resource.","parameters":[],"requestBody":{"description":"The new MatchCallSubmission resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MatchCallSubmission.MatchCallSubmissionCreationDto"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/MatchCallSubmission.MatchCallSubmissionCreationDto.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/MatchCallSubmission.MatchCallSubmissionCreationDto"}}},"required":true},"deprecated":false}},"\/v4\/match_call_submissions\/{id}":{"get":{"operationId":"api_match_call_submissions_id_get","tags":["MatchCallSubmission"],"responses":{"200":{"description":"MatchCallSubmission resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MatchCallSubmission"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/MatchCallSubmission.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/MatchCallSubmission"}}}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a MatchCallSubmission resource.","description":"Retrieves one MatchCallSubmission resource.","parameters":[{"name":"id","in":"path","description":"MatchCallSubmission identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"patch":{"operationId":"api_match_call_submissions_id_patch","tags":["MatchCallSubmission"],"responses":{"200":{"description":"MatchCallSubmission resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MatchCallSubmission"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/MatchCallSubmission.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/MatchCallSubmission"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation.jsonld-jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}}},"links":{}},"403":{"description":"Forbidden","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Updates the MatchCallSubmission resource.","description":"Updates the MatchCallSubmission resource.","parameters":[{"name":"id","in":"path","description":"MatchCallSubmission identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated MatchCallSubmission resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/MatchCallSubmission"}}},"required":true},"deprecated":false}},"\/v4\/match_formulas":{"get":{"operationId":"api_match_formulas_get_collection","tags":["MatchFormula"],"responses":{"200":{"description":"MatchFormula collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/MatchFormula"}}},"application\/ld+json":{"schema":{"type":"object","properties":{"member":{"type":"array","items":{"$ref":"#\/components\/schemas\/MatchFormula.jsonld"}},"totalItems":{"type":"integer","minimum":0},"view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"first":{"type":"string","format":"iri-reference"},"last":{"type":"string","format":"iri-reference"},"previous":{"type":"string","format":"iri-reference"},"next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","first":"string","last":"string","previous":"string","next":"string"}},"search":{"type":"object","properties":{"@type":{"type":"string"},"template":{"type":"string"},"variableRepresentation":{"type":"string"},"mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["member"]}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/MatchFormula"}}}}}},"summary":"Retrieves the collection of MatchFormula resources.","description":"Retrieves the collection of MatchFormula resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":100},"style":"form","explode":false,"allowReserved":false}],"deprecated":false}},"\/v4\/match_formulas\/{name}":{"get":{"operationId":"api_match_formulas_name_get","tags":["MatchFormula"],"responses":{"200":{"description":"MatchFormula resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MatchFormula"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/MatchFormula.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/MatchFormula"}}}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a MatchFormula resource.","description":"Retrieves one MatchFormula resource.","parameters":[{"name":"name","in":"path","description":"MatchFormula identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false}},"\/v4\/match_rules":{"get":{"operationId":"api_match_rules_get_collection","tags":["MatchRule"],"responses":{"200":{"description":"MatchRule collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/MatchRule"}}},"application\/ld+json":{"schema":{"type":"object","properties":{"member":{"type":"array","items":{"$ref":"#\/components\/schemas\/MatchRule.jsonld"}},"totalItems":{"type":"integer","minimum":0},"view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"first":{"type":"string","format":"iri-reference"},"last":{"type":"string","format":"iri-reference"},"previous":{"type":"string","format":"iri-reference"},"next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","first":"string","last":"string","previous":"string","next":"string"}},"search":{"type":"object","properties":{"@type":{"type":"string"},"template":{"type":"string"},"variableRepresentation":{"type":"string"},"mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["member"]}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/MatchRule"}}}}}},"summary":"Retrieves the collection of MatchRule resources.","description":"Retrieves the collection of MatchRule resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":100},"style":"form","explode":false,"allowReserved":false}],"deprecated":false}},"\/v4\/match_rules\/{name}":{"get":{"operationId":"api_match_rules_name_get","tags":["MatchRule"],"responses":{"200":{"description":"MatchRule resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MatchRule"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/MatchRule.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/MatchRule"}}}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a MatchRule resource.","description":"Retrieves one MatchRule resource.","parameters":[{"name":"name","in":"path","description":"MatchRule identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false}},"\/v4\/match_strategies":{"get":{"operationId":"api_match_strategies_get_collection","tags":["MatchStrategy"],"responses":{"200":{"description":"MatchStrategy collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/MatchStrategy"}}},"application\/ld+json":{"schema":{"type":"object","properties":{"member":{"type":"array","items":{"$ref":"#\/components\/schemas\/MatchStrategy.jsonld"}},"totalItems":{"type":"integer","minimum":0},"view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"first":{"type":"string","format":"iri-reference"},"last":{"type":"string","format":"iri-reference"},"previous":{"type":"string","format":"iri-reference"},"next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","first":"string","last":"string","previous":"string","next":"string"}},"search":{"type":"object","properties":{"@type":{"type":"string"},"template":{"type":"string"},"variableRepresentation":{"type":"string"},"mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["member"]}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/MatchStrategy"}}}}}},"summary":"Retrieves the collection of MatchStrategy resources.","description":"Retrieves the collection of MatchStrategy resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":100},"style":"form","explode":false,"allowReserved":false},{"name":"call","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"call[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"order[ranking]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string","default":"asc","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"post":{"operationId":"api_match_strategies_post","tags":["MatchStrategy"],"responses":{"201":{"description":"MatchStrategy resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MatchStrategy"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/MatchStrategy.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/MatchStrategy"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation.jsonld-jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}}},"links":{}}},"summary":"Creates a MatchStrategy resource.","description":"Creates a MatchStrategy resource.","parameters":[],"requestBody":{"description":"The new MatchStrategy resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MatchStrategy"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/MatchStrategy.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/MatchStrategy"}}},"required":true},"deprecated":false}},"\/v4\/match_strategies\/{id}":{"get":{"operationId":"api_match_strategies_id_get","tags":["MatchStrategy"],"responses":{"200":{"description":"MatchStrategy resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MatchStrategy"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/MatchStrategy.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/MatchStrategy"}}}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a MatchStrategy resource.","description":"Retrieves one MatchStrategy resource.","parameters":[{"name":"id","in":"path","description":"MatchStrategy identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"delete":{"operationId":"api_match_strategies_id_delete","tags":["MatchStrategy"],"responses":{"204":{"description":"MatchStrategy resource deleted"},"403":{"description":"Forbidden","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Removes the MatchStrategy resource.","description":"Removes the MatchStrategy resource.","parameters":[{"name":"id","in":"path","description":"MatchStrategy identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"patch":{"operationId":"api_match_strategies_id_patch","tags":["MatchStrategy"],"responses":{"200":{"description":"MatchStrategy resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MatchStrategy"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/MatchStrategy.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/MatchStrategy"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation.jsonld-jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}}},"links":{}},"403":{"description":"Forbidden","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Updates the MatchStrategy resource.","description":"Updates the MatchStrategy resource.","parameters":[{"name":"id","in":"path","description":"MatchStrategy identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated MatchStrategy resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/MatchStrategy"}}},"required":true},"deprecated":false}},"\/v4\/users\/{id}\/organization":{"get":{"operationId":"api_users_idorganization_get","tags":["Organization"],"responses":{"200":{"description":"Organization resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Organization"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Organization.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Organization"}}}},"403":{"description":"Forbidden","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a Organization resource.","description":"Retrieves one Organization resource.","parameters":[{"name":"id","in":"path","description":"User identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"patch":{"operationId":"api_users_idorganization_patch","tags":["Organization"],"responses":{"200":{"description":"Organization resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Organization"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Organization.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Organization"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation.jsonld-jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}}},"links":{}},"403":{"description":"Forbidden","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Updates the Organization resource.","description":"Updates the Organization resource.","parameters":[{"name":"id","in":"path","description":"User identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated Organization resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/Organization"}}},"required":true},"deprecated":false}},"\/v4\/users\/{id}\/person":{"get":{"operationId":"api_users_idperson_get","tags":["Person"],"responses":{"200":{"description":"Person resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Person"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Person.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Person"}}}},"403":{"description":"Forbidden","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a Person resource.","description":"Retrieves one Person resource.","parameters":[{"name":"id","in":"path","description":"User identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"patch":{"operationId":"api_users_idperson_patch","tags":["Person"],"responses":{"200":{"description":"Person resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Person"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Person.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Person"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation.jsonld-jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation-json"}}},"links":{}},"403":{"description":"Forbidden","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Updates the Person resource.","description":"Updates the Person resource.","parameters":[{"name":"id","in":"path","description":"User identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated Person resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/Person"}}},"required":true},"deprecated":false}},"\/v4\/ping":{"get":{"operationId":"api_ping_get","tags":["Ping"],"responses":{"200":{"description":"Ping resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Ping"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Ping.jsonld"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Ping"}}}},"404":{"description":"Not found","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Error.jsonld"}},"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a Ping resource.","description":"Retrieves one Ping resource.","parameters":[],"deprecated":false}},"\/v4\/projects":{"get":{"operationId":"api_projects_get_collection","tags":["Project"],"responses":{"200":{"description":"Project collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Project"}}},"application\/ld+json":{"schema":{"type":"object","properties":{"member":{"type":"array","items":{"$ref":"#\/components\/schemas\/Project.jsonld"}},"totalItems":{"type":"integer","minimum":0},"view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"first":{"type":"string","format":"iri-reference"},"last":{"type":"string","format":"iri-reference"},"previous":{"type":"string","format":"iri-reference"},"next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","first":"string","last":"string","previous":"string","next":"string"}},"search":{"type":"object","properties":{"@type":{"type":"string"},"template":{"type":"string"},"variableRepresentation":{"type":"string"},"mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["member"]}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Project"}}}}}},"summary":"Retrieves the collection of Project resources.","description":"Retrieves the collection of Project resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":100},"style":"form","explode":false,"allowReserved":false},{"name":"slug","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"slug[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"accounting","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"accounting[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"owner","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"owner[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"title","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"subtitle","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"categories","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"categories[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"territory.country","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"territory.country[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"territory.subLvl1","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"territory.subLvl1[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"territory.subLvl2","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"territory.subLvl2[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"descBrief","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"status","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":f
[...]
